Subject: artwork

From: Frank Ellermann <[email-masked]>
Date: Sun, 01 Jan 2006 00:21:17 +0100

Hi, nobody said that a collection of ABNF-prose is a bad idea.

So I guess that we want this for the point "Collected ABNF?"
in the remaining five "Issues to be Addressed" as stated on
http://tools.ietf.org/html/draft-ietf-usefor-usefor-06#page-5

This replaces the 2nd and 3rd of three paragraphs in section 1.4
after adding 2231 and 3986 references to the first paragraph:

=  Header fields defined in this specification use the Augmented Backus-
=  Naur Form (ABNF) notation (including the Core Rules) specified in
-  [RFC2234] and many constructs defined in [RFC2822] and [RFC2045].
+  [RFC4234] and many constructs defined in [RFC2822], [RFC2045] as
+  amended by [RFC2231], and [RFC3986].
=  Section 3.1.3 updates the [RFC2822] definition of <msg-id>.

The new second and last paragraph in section 1.4 will be the ABNF,
using the same xml2rfc "artwork" style as for all later ABNF lines:

~~~ cut ~~~
token           =  <see RFC 2045 section 5.1>
value           =  <see RFC 2045 section 5.1>
parameter       =  <see RFC 2231 section 7>
attribute       =  <see RFC 2231 section 7>

FWS             =  <see RFC 2822 section 3.2.3>
CFWS            =  <see RFC 2822 section 3.2.3>
atext           =  <see RFC 2822 section 3.2.4>
dot-atom-text   =  <see RFC 2822 section 3.2.4>
phrase          =  <see RFC 2822 section 3.2.6>
utext           =  <see RFC 2822 section 3.2.6>
date-time       =  <see RFC 2822 section 3.3>
mailbox         =  <see RFC 2822 section 3.4>
mailbox-list    =  <see RFC 2822 section 3.4>
address-list    =  <see RFC 2822 section 3.4>
fields          =  <see RFC 2822 section 3.6>

IPv6address     =  <see RFC 3986 section 3.2.2>
IPv4address     =  <see RFC 3986 section 3.2.2>

ALPHA           =  <see RFC 4234 appendix B.1>
CRLF            =  <see RFC 4234 appendix B.1>
DIGIT           =  <see RFC 4234 appendix B.1>
DQUOTE          =  <see RFC 4234 appendix B.1>
SP              =  <see RFC 4234 appendix B.1>
~~~ end ~~~

That's all, I checked it in conjuction with our -06 ABNF using
Bill's ABNF parser.  We don't have any <attribute> in the ABNF,
but use <attribute> in the prose, therefore I've added it here.

                    A happy 2006 to USEFOR...

...or rather a happy year 8 "ab USEFOR condita" ;-)